export const actionType = {
  ASSIGN_NAME: 'ASSIGN_NAME',
  ASSIGN_OLD: 'ASSIGN_OLD',
  ASSIGN_PHONE: 'ASSIGN_PHONE',
  ASSIGN_DATA: 'ASSIGN_DATA',
  RESET_ALL: 'RESET_ALL',
  RESET_ERROR: 'RESET_ERROR',
  SEND_CREATE: 'SEND_CREATE',
  SEND_UPDATE: 'SEND_UPDATE',
  COPY_DATA: 'COPY_DATA',
  ASSIGN_ID: 'ASSIGN_ID',
  TOAST_SUCCESS: 'TOAST_SUCCESS',
  TOAST_ERROR: 'TOAST_ERROR',
}
export const eventType = {
  CACHE_NAME: 'CACHE_NAME',
  CACHE_OLD: 'CACHE_OLD',
  CACHE_PHONE: 'CACHE_PHONE',
  CACHE_DATA: 'CACHE_DATA',
  CREATE: 'CREATE',
  UPDATE: 'UPDATE',
  TOGGLE: 'TOGGLE',
  RETRY: 'RETRY',
  RESET: 'RESET',
  DELAY_SUCCESS: 'DELAY_SUCCESS',
  DELAY_FAILURE: 'DELAY_FAILURE',
  TO_SUCCESS: 'TO_SUCCESS',
  TO_FAILURE: 'TO_FAILURE',
}

export const stateType = {
  loading: 'loading',
  reading: 'reading',
  editing: 'editing',
  creating: 'creating',
  invalid: 'invalid',
  valid: 'valid',
  success: 'success',
  failure: 'failure',
  updating: 'updating',
  deleting: 'deleting',
  notification: 'notification',
}
